/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.uiextension.macro;

import org.xwiki.properties.annotation.PropertyDescription;
import org.xwiki.properties.annotation.PropertyMandatory;
import org.xwiki.uiextension.internal.macro.UIExtensionMacro;

/**
 * Parameters for the {@link UIExtensionMacro} Macro.
 *
 * @version $Id: 6f6a0a58eb42e73396e9afdef024844feeb200d1 $
 * @since 14.0RC1
 */
public class UIExtensionMacroParameters
{
    private String id;

    /**
     * @param id the identifier of the UI extensions to insert
     */
    @PropertyDescription("The identifier of the UI extensions to insert.")
    @PropertyMandatory
    public void setId(String id)
    {
        this.id = id;
    }

    /**
     * @return the identifier of the UI extensions to insert
     */
    public String getId()
    {
        return this.id;
    }
}
